import { Selector, createSelector } from '@ngrx/store';
import { UpdateInfo } from '@ucap-webmessenger/native';

export interface State {
  updateInfo: UpdateInfo;
}

export const initialState: State = {
  updateInfo: null
};

export function selectors<S>(selector: Selector<any, State>) {
  return {
    updateInfo: createSelector(selector, (state: State) => state.updateInfo)
  };
}
